
Redmine - Defect #12409

Git: changesets aren't read after clear_changesets call

2012-11-20 13:07 - Karel Pičman

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 2.1.4   

Resolution: Fixed Affected version: 1.4.5

Description

Changesets aren't read after clear_changesets call at least in case of Git. The method clear_changesets clears all changesets but

leaves extra_info in repositories table and therefore changesets aren't read after clear_changesets call.

The attached patch reset extra_info column of the affected repository in clear_changesets method.

Associated revisions

Revision 10856 - 2012-11-21 08:44 - Toshi MARUYAMA

scm: git: fix changesets aren't read after clear_changesets call (#12409)

Revision 10857 - 2012-11-21 09:17 - Toshi MARUYAMA

scm: git: fix tests fail when extra_info is nil (#12409)

Revision 10858 - 2012-11-21 10:55 - Toshi MARUYAMA

Merged r10856 and r10857 from trunk to 2.1-stable (#12409)

scm: git: fix changesets aren't read after clear_changesets call.

Revision 10859 - 2012-11-21 10:59 - Toshi MARUYAMA

Merged r10856 and r10857 from trunk to 1.4-stable (#12409)

scm: git: fix changesets aren't read after clear_changesets call.

Revision 10862 - 2012-11-22 00:34 - Toshi MARUYAMA

scm: git: change extra_report_last_commit type at unit test to string (#12409)

Revision 10863 - 2012-11-22 02:10 - Toshi MARUYAMA

Merged r10862 from trunk to 2.1-stable (#12409)

scm: git: change extra_report_last_commit type at unit test to string.

Revision 10864 - 2012-11-22 02:18 - Toshi MARUYAMA

Merged r10862 from trunk to 1.4-stable (#12409)

scm: git: change extra_report_last_commit type at unit test to string.

History

#1 - 2012-11-20 14:48 - Anonymous

- Status changed from New to Resolved

#2 - 2012-11-20 14:57 - Karel Pičman

How has it been solved?

#3 - 2012-11-20 15:02 - Etienne Massip

- Status changed from Resolved to New
#4 - 2012-11-20 15:03 - Etienne Massip

- Category set to SCM

#5 - 2012-11-20 16:58 - Toshi MARUYAMA

- Target version set to 2.2.0

#6 - 2012-11-20 16:59 - Toshi MARUYAMA

- Subject changed from clear_changesets X fetch_changesets to clear extra_info in clear_changesets

#7 - 2012-11-20 17:22 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#8 - 2012-11-21 08:36 - Toshi MARUYAMA

- Tracker changed from Patch to Defect

- Subject changed from clear extra_info in clear_changesets to Git: changesets aren't read after clear_changesets call

- Target version changed from 2.2.0 to 2.1.4

- Affected version (unused) set to 1.4.5

- Affected version set to 1.4.5

#9 - 2012-11-23 06:04 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk, 2.1-stable and 1.4-stable.

Karel, thanks for catch up.

Files

repository.patch 611 Bytes 2012-11-20 Karel Pičman
